Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229478 - Review Request: qdbm - Quick Database Manager
Summary: Review Request: qdbm - Quick Database Manager
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 206238 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 229647
TreeView+ depends on / blocked
 
Reported: 2007-02-21 13:19 UTC by Mamoru TASAKA
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 14:28:44 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2007-02-21 13:19:13 UTC
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/qdbm.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/qdbm-1.8.74-1.fc7.src.rpm
Mockbuild log on FC7 i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-qdbm.log

Description: 
QDBM is an embedded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

rpmlint on binary rpm:
W: qdbm++-devel no-documentation
W: qdbm-java devel-file-in-non-devel-package /usr/lib/libjqdbm.so
   Well, I don't know well about java package, however
   I think that there is no need to create another -japa-devel
   package for this .so file.

Co-maintainers are welcome!!

Comment 1 Mamoru TASAKA 2007-02-21 13:25:15 UTC
*** Bug 206238 has been marked as a duplicate of this bug. ***

Comment 2 Parag AN(पराग) 2007-02-22 06:16:57 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM 
- rpmlint is NOT for RPM.
  (But following rpmlint warning can be ignored      
   W: qdbm-java devel-file-in-non-devel-package /usr/lib/libjqdbm.so)
+ source files match upstream.
73f9d2fa4627a321062c4a4de7264946  qdbm-1.8.74.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ .pc files present.
+ -devel,-cgi,-java,-perl, qdbm++, qdbm++-devel, ruby-qdbm subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.


Comment 3 Mamoru TASAKA 2007-02-22 14:25:38 UTC
I submitted hyperestraier (bug 229647) which depends on
this package.

Comment 4 Mamoru TASAKA 2007-02-22 21:50:46 UTC
Some mistakes are found.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/qdbm-1.8.74-2.fc7.src.rpm
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/qdbm.spec

* Fri Feb 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.8.74-2
- Add missing release dependency
- Change group from Development to System Environment
- Remove duplicate files and fix the dependency for main package.



Comment 5 Parag AN(पराग) 2007-02-23 10:23:10 UTC
Oops I missed that one. I checked buildlog only and my eyes missed to check
duplicate files when i did rpm -qlvp on RPMS.
Thanks for catching that.
APPROVED.

Comment 6 Mamoru TASAKA 2007-02-23 10:42:00 UTC
Thank you for reviewing and approving my package!!

Now I write a CVS request to cvs admin for a new package.
-------------------------------------------------------
New Package CVS Request
=======================
Package Name:           qdbm
Short Description:      Quick Database Manager
Owners:                 mtasaka@ioa.s.u-tokyo.ac.jp
Branches:               FC-5 FC-6 FC-devel
InitialCC:              (nobody)
-------------------------------------------------------

Comment 7 Dennis Gilmore 2007-02-23 12:57:33 UTC
branched

Comment 8 Mamoru TASAKA 2007-02-23 14:28:44 UTC
First, qdbm rebuild succeeded on FC-devel/6/5.

Thank you for review again!!
(Review process changed from NEXTRELEASE -> RAWHIDE)


Note You need to log in before you can comment on or make changes to this bug.